mx-boot-options (26.04.1) mx; urgency=medium

  * Reload grub settings after Apply so the "boot to" menu reflects
    regenerated grub entries without restarting the application.

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Apr 2026 12:00:00 -0400

mx-boot-options (26.04) mx; urgency=medium

  * Pass live-grubsave boot parameters as separate arguments so grubenv
    stores them correctly.
  * Update the help file version stamp.

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Apr 2026 20:18:34 -0400

mx-boot-options (26.03) mx; urgency=medium

  * Replace the shell helper with a hardened binary helper and move
    elevated operations to explicit argv-based execution.
  * Show help and license inside the application and drop the
    xdg-utils / mx-viewer dependency.

 -- Adrian <adrian@mxlinux.org>  Wed, 11 Mar 2026 14:09:35 -0400

mx-boot-options (25.11.3) mx; urgency=medium

  * Detect systemd and use systemctl -b to display the boot log which is
    more reliable than relying on /var/log/boot.log

 -- Adrian <adrian@mxlinux.org>  Fri, 07 Nov 2025 16:14:58 -0500

mx-boot-options (25.11.1) mx; urgency=medium

  * Fix: Use regular expressions for whole words to recognize and
    replace kernel boot parameters 'hush', 'quiet', and 'splash'

 -- fehlix <fehlix@mxlinux.org>  Tue, 04 Nov 2025 16:37:12 -0500

mx-boot-options (25.10.2) mx; urgency=medium

  * Added Wayland session detection so the preview button stays disabled
    when Plymouth can’t render through X11.

 -- Adrian <adrian@mxlinux.org>  Tue, 28 Oct 2025 12:05:18 -0400

mx-boot-options (25.10.1) mx; urgency=medium

  * Fix 'hush' option

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Oct 2025 22:20:11 -0400

mx-boot-options (25.10) mx; urgency=medium

  * Disable preview button when selected theme is 'text' or 'tribar'
    since those are known to crash X

 -- Adrian <adrian@mxlinux.org>  Thu, 02 Oct 2025 15:30:27 -0400

mx-boot-options (25.8) mx; urgency=medium

  * Disable Preview button if 'splash' is not in the booted kernel
    options

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Aug 2025 00:29:54 -0400

mx-boot-options (25.6) mx; urgency=medium

  * Prepare to move stuff out of /usr/local/ read script from alternative location

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Jun 2025 20:50:54 -0400

mx-boot-options (25.4.04) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Apr 2025 21:53:42 -0400

mx-boot-options (25.4.02) mx; urgency=medium

  * Manage UEFI Boot Options starts a new uefi-manager app (new dependency)

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Apr 2025 16:23:04 -0400

mx-boot-options (25.4.01) mx; urgency=medium

  * Add elevation fail check for more commands

 -- Adrian <adrian@mxlinux.org>  Wed, 09 Apr 2025 22:31:34 -0400

mx-boot-options (25.4) mx; urgency=medium

  * Don't allow user to skip elevation prompts

 -- Adrian <adrian@mxlinux.org>  Wed, 09 Apr 2025 13:03:38 -0400

mx-boot-options (25.2.06) mx; urgency=medium

  * Add option to mount encrypted LUKS partition when running live and chroot to it
  * Add option to change boot options for live environment (gfx-boot and grub)

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Feb 2025 00:06:45 -0500

mx-boot-options (25.2) mx; urgency=medium

  * Fix translations

 -- Adrian <adrian@mxlinux.org>  Wed, 05 Feb 2025 11:35:31 -0500

mx-boot-options (25.1) mx; urgency=medium

  * Colorize the log (translate terminal control codes to Qt colors)

 -- Adrian <adrian@mxlinux.org>  Sat, 18 Jan 2025 22:25:29 -0500

mx-boot-options (24.9+dev) mx; urgency=medium

  * Fix: enable grub-timeout to be changed, even if GRUB_TIMEOUT does
    not exist within /etc/default/grub

 -- fehlix <fehlix@mxlinux.org>  Wed, 16 Oct 2024 17:17:50 -0400

mx-boot-options (24.9) mx; urgency=medium

  * When running Live prompt to change live boot options or chroot to an installed system
  * Change syslinux.cfg and isolinux.cfg when running Live

 -- Adrian <adrian@mxlinux.org>  Mon, 02 Sep 2024 21:10:05 -0400

mx-boot-options (24.6) mx; urgency=medium

  * Fix: setting GRUB background photo

 -- Adrian <adrian@mxlinux.org>  Wed, 12 Jun 2024 18:27:11 -0400

mx-boot-options (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:27:38 -0400

mx-boot-options (23.11.07) mx; urgency=medium

  * Fix: trimm trailing line breaks from the shell command output
  * Adjust error handling in UEFI Boot Options Manager

 -- fehlix <fehlix@mxlinux.org>  Thu, 30 Nov 2023 19:14:18 -0500

mx-boot-options (23.11.06) mx; urgency=medium

  * Fix: ownership for /etc/default/grub file

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Nov 2023 15:57:10 -0500

mx-boot-options (23.11.05) mx; urgency=medium

  * Fix: use full path for plymouth-set-theme

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2023 16:29:46 -0500

mx-boot-options (23.11.04) mx; urgency=medium

  * Fix listing Grub entries, it does require elevation unfortunately

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Nov 2023 21:17:03 -0500

mx-boot-options (23.11.03) mx; urgency=medium

  * Don't prompt for admin password when loading the GUI if not running as chroot

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Nov 2023 11:51:35 -0500

mx-boot-options (23.11.02) mx; urgency=medium

  * Run program as normal user and elevate only when running specific commands
  * Display boot log in a native window instead of terminal
  * Minor fixes

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Nov 2023 01:11:09 -0400

mx-boot-options (23.8.01) mx; urgency=medium

  * Fix applying different message levels

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2023 13:12:39 -0400

mx-boot-options (23.8) mx; urgency=medium

  * Fix displaying bootlog

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2023 00:34:18 -0400

mx-boot-options (23.7.01) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 23 Jul 2023 11:15:55 -0400

mx-boot-options (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:05:36 -0400

mx-boot-options (23.6) mx; urgency=medium

  * Update policy file
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Fri, 09 Jun 2023 00:22:39 -0400

mx-boot-options (23.5) mx; urgency=medium

  * Update logo

 -- Adrian <adrian@mxlinux.org>  Tue, 16 May 2023 21:24:18 -0400

mx-boot-options (23.4) mx; urgency=medium

  * Update icon
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Apr 2023 22:42:32 -0400

mx-boot-options (23.2.01) mx; urgency=medium

  * Change ownership of the rc file created by KDE/Plasma

 -- Adrian <adrian@mxlinux.org>  Mon, 27 Feb 2023 19:57:54 -0500

mx-boot-options (23.2) mx; urgency=medium

  * Disable saving last boot choice on Btrs (not supported)
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Feb 2023 13:03:57 -0500

mx-boot-options (23.1) mx; urgency=medium

  * Fix: disable boot splash
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Jan 2023 20:15:16 -0500

mx-boot-options (22.10.02) mx; urgency=medium

  * Allow skipping selecting directory for chroot when running Live (useful for managing Uefi boot options)

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Oct 2022 22:58:53 -0400

mx-boot-options (22.10.01) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:56:18 -0400

mx-boot-options (22.9.01) mx; urgency=medium

  * Fix: toggling flatmenu. Make sure it can read "true" last entry wins

 -- fehlix <fehlix@mxlinux.org>  Thu, 15 Sep 2022 20:04:45 -0400

mx-boot-options (22.9) mx; urgency=medium

  * Fix: toggling flatmenu. Make sure it can read both "y" and "yes"

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Sep 2022 19:37:17 -0400

mx-boot-options (22.8.01) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma)

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 21:02:26 -0400

mx-boot-options (22.8) mx; urgency=medium

  * Fix: launching Firefox from Help

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Aug 2022 21:36:22 -0400

mx-boot-options (22.7.01) mx; urgency=medium

  * translation refresh

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:15:08 -0400

mx-boot-options (22.7) mx; urgency=medium

  * Adjust pkexec/sudo environment parameter
  * Fix EFI System Partition detection on dos/mbr partition table
  * Remove not needed --qtenv annotation pkexec policy

 -- fehlix <fehlix@mxlinux.org>  Mon, 04 Jul 2022 19:18:59 -0400

mx-boot-options (22.6.02) mx; urgency=medium

  * Fix: When creating UEFI entry use correct partition number rather than default #1

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Jun 2022 22:08:19 -0400

mx-boot-options (22.6.01) mx; urgency=medium

  * Add UEFI boot manager

 -- Adrian <adrian@mxlinux.org>  Mon, 27 Jun 2022 03:07:23 -0400

mx-boot-options (22.6) mx; urgency=medium

  * Preserve user theme when launching program as root
  * Make sure HOME and XDG_RUNTIME_DIR are correct when launching as root
  * Advance animation when previewing plymouth theme

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Jun 2022 13:50:52 -0400

mx-boot-options (22.2) mx; urgency=medium

  * New build

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Feb 2022 08:59:27 -0500

mx-boot-options (21.1.02) mx; urgency=medium

  * adjust chroot

 -- fehlix <fehlix@mxlinux.org>  Thu, 10 Feb 2022 07:36:02 -0500

mx-boot-options (21.1.01) mx; urgency=medium

  * bug fix: detection grub present

 -- Adrian <adrian@mxlinux.org>  Sun, 10 Jan 2021 12:16:12 -0500

mx-boot-options (21.1) mx; urgency=medium

  * show grub options only if grub is installed

 -- Adrian <adrian@mxlinux.org>  Sat, 09 Jan 2021 15:22:06 -0500

mx-boot-options (20.6) mx; urgency=medium

  * fix potential KDE issue with buttons passing & accelerator to text

 -- Adrian <adrian@mxlinux.org>  Wed, 17 Jun 2020 00:38:10 -0400

mx-boot-options (19.9) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Sep 2019 14:21:20 -0400

mx-boot-options (19.8.1) mx; urgency=medium

  * new translations
  * removed libcmd dependency

 -- Adrian <adrian@mxlinux.org>  Sat, 31 Aug 2019 19:18:22 -0400

mx-boot-options (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:17:50 -0400

mx-boot-options (19.7.1) mx; urgency=medium

  * updated icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 10:50:00 -0400

mx-boot-options (19.7) mx; urgency=medium

  * fix windows buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:18:49 -0400

mx-boot-options (19.5.1) mx; urgency=medium

  * add support for paravirtualized (Xen) drives and partitions

 -- Adrian <adrian@mxlinux.org>  Sat, 18 May 2019 22:04:40 -0400

mx-boot-options (19.5) mx; urgency=medium

  * bug fix: enabling grub line doesn't kill /etc/debian/grub
  * create backup /etc/debian/grub.bak and bak.0 that doesn't get overwritten

 -- Adrian <adrian@mxlinux.org>  Mon, 13 May 2019 23:35:59 -0400

mx-boot-options (19.4.1) mx; urgency=medium

  * fix default grub when using submenus

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Apr 2019 09:53:27 -0400

mx-boot-options (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:19:01 -0400

mx-boot-options (19.1.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 09:33:45 -0500

mx-boot-options (19.1) mx; urgency=medium

  * save default grub entry when using submenus

 -- Adrian <adrian@mxlinux.org>  Wed, 09 Jan 2019 01:21:54 -0500

mx-boot-options (18.12.3) mx; urgency=medium

  * fix reading kernel options

 -- Adrian <adrian@mxlinux.org>  Sat, 15 Dec 2018 18:03:32 -0500

mx-boot-options (18.12.2) mx; urgency=medium

  * fix reading kernel options

 -- Adrian <adrian@mxlinux.org>  Thu, 13 Dec 2018 10:50:37 -0500

mx-boot-options (18.12.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Dec 2018 08:51:30 -0500

mx-boot-options (18.12) mx; urgency=medium

  * add GRUB theme selection

 -- Adrian <adrian@mxlinux.org>  Thu, 06 Dec 2018 13:06:24 -0500

mx-boot-options (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 11:33:44 -0500

mx-boot-options (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 18:15:57 -0400

mx-boot-options (18.8.1) mx; urgency=medium

  * read GRUB_DEFAULT ignoring quotes or single quotes

 -- Adrian <adrian@mxlinux.org>  Tue, 28 Aug 2018 16:11:38 -0400

mx-boot-options (18.8) mx; urgency=medium

  * add translations
  * unset saved entry in grubenv

 -- Adrian <adrian@mxlinux.org>  Mon, 13 Aug 2018 21:36:36 -0400

mx-boot-options (0.18.8.3) mx; urgency=medium

  * add timeout 5 sec for memtest to avoid locking bootloader

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Aug 2018 12:53:46 -0400

mx-boot-options (0.18.8.2) mx; urgency=medium

  * fix icon other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:25:15 -0400

mx-boot-options (0.18.8.1) mx; urgency=medium

  * don't apply changes automatically when enabling splash

 -- Adrian <adrian@mxlinux.org>  Mon, 06 Aug 2018 08:53:22 -0400

mx-boot-options (0.18.8) mx; urgency=medium

  * install plymouth-themes-mx when selecting boot splash

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Aug 2018 14:00:01 -0400

mx-boot-options (0.18.7) mx; urgency=medium

  * initial release

 -- Adrian <adrian@mxlinux.org>  Thu, 26 Jul 2018 12:43:48 -0400
